Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.discovery
Class DiscoveryProtocolVersion

    java.lang.Object
      com.sun.jini.discovery.DiscoveryProtocolVersion

All Implemented Interfaces:
  InvocationConstraint, Serializable

public final class DiscoveryProtocolVersion
extends Object
implements InvocationConstraint, Serializable

Represents a constraint on the version of the discovery protocol used to contact lookup services. Lookup services and discovery clients can use this constraint to control what version(s) of the multicast request, multicast announcement and unicast discovery protocols are used to exchange data with each other.

Since:
  2.0
See Also:
  Serialized Form

Field Summary
`static DiscoveryProtocolVersion` | `ONE` Use discovery protocol version 1.
`static DiscoveryProtocolVersion` | `TWO` Use discovery protocol version 2.

Method Summary
`boolean` | `equals(Object obj)`
`static DiscoveryProtocolVersion` | `getInstance(int version)` Returns a `DiscoveryProtocolVersion` constraint for the given version number.
`int` | `getVersion()` Returns the protocol version number.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ONE

    public static final DiscoveryProtocolVersion ONE

  Use discovery protocol version 1.

### TWO

    public static final DiscoveryProtocolVersion TWO

  Use discovery protocol version 2.

Method Detail

### getInstance

    public static DiscoveryProtocolVersion getInstance(int version)

  Returns a `DiscoveryProtocolVersion` constraint for the given version number.

  Returns:
    a constraint for the given version number

### getVersion

    public int getVersion()

  Returns the protocol version number.

  Returns:
    the protocol version number

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object obj)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved